Summary:	getty program for Linux framebuffer console
Summary(pl.UTF-8):	Program getty dla linuksowej konsoli z framebufferem
Name:		fbgetty
Version:	0.1.698
Release:	6
License:	GPL v2+
Group:		Applications/System
Source0:	http://projects.meuh.org/fbgetty/downloads/%{name}-%{version}.tar.gz
# Source0-md5:	1705bc0f8f1e03fe50d324ba84ac4e56
Patch0:		%{name}-info.patch
URL:		http://projects.meuh.org/fbgetty/
BuildRequires:	automake
BuildRequires:	texinfo
Requires:	login
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
fbgetty is a new getty program that supports fully capabilities of the
Linux console. For the moment it run only under Linux.

Features:
- extended issue display (escape codes, shell variables)
- framebuffer support (display logo) [not yet]
- refresh issue when VT is activated (time, user, uptime)
- display date/time according to locale
- display the output of any program
- include many files in issue

%description -l pl.UTF-8
fbgetty to nowy program getty w pełni obsługujący możliwości
linuksowej konsoli. Aktualnie działa tylko pod Linuksem.

Możliwości:
- wyświetlanie rozszerzonego issue (kody specjalne, zmienne powłoki)
- obsługa framebuffera (wyświetlanie logo) [jeszcze nie działa]
- odświeżanie przy aktywacji VT (czas, liczba użytkowników, uptime)
- wyświetlanie daty i czasu zgodnie z ustawieniami lokalnymi
- wyświetlanie wyjścia dowolnego programu
- dołączanie wielu plików do issue.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.* config
export CPPFLAGS="%{rpmcppflags} -Doffsetof=__builtin_offsetof"
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog NEWS README THANKS TODO docs/*.txt
%attr(755,root,root) %{_sbindir}/fbgetty
%{_mandir}/man8/fbgetty.8*
%{_infodir}/fbgetty.info*
%changelog
* Wed Apr 12 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/fbgetty.git;a=log;h=master

* Wed Apr 12 2023 Jakub Bogusz <qboosh@pld-linux.org> 59c56b4
- fixes to build with texinfo 7; release 6

* Thu Mar 13 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> b30977e
- debian patch doesn't exist

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> cc4f3b2
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

* Wed Nov 21 2007 Paweł Gołaszewski <blues@pld-linux.org> ce777e2
- rel.5

* Sun Jun 10 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 082554e
- rel 4

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> a8c7067
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 34b0dac
- converted to UTF-8

* Tue Aug 08 2006 sparky <sparky@pld-linux.org> 78da59d
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

* Wed Mar 23 2005 Elan Ruusamäe <glen@pld-linux.org> 6b96c5d
- dropped SourceX-size

* Thu Oct 07 2004 Sławomir Paszkiewicz <paszczus@pld-linux.org> 3fb2723
- updated URL and Source0 adress

* Tue Jan 20 2004 Jakub Bogusz <qboosh@pld-linux.org> 2e21c82
- refresh config.sub for amd64, release 2 for Ac

* Tue Jul 08 2003 Paweł Gołaszewski <blues@pld-linux.org> 0694925
- "f" and some "g" letters of small fixes inpired by kloczek

* Mon May 26 2003 Michal Moskal <michal@moskal.me> 88f3b8e
- massive attack: adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 7907eef
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Nov 01 2002 Jakub Bogusz <qboosh@pld-linux.org> ce553b0
- new

